--- title: "Edit cluster add-on" slug: "nks-updateaddon" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/nks-updateaddon" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit cluster add-on Available in VPC Edit the version or settings of an add-on installed on a cluster. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PATCH | /vnks/v2/clusters/{uuid}/addons/{addonRef} (Korea Region) | | PATCH | /vnks/sgn-v2/clusters/{uuid}/addons/{addonRef} (Singapore Region) | | PATCH | /vnks/jpn-v2/clusters/{uuid}/addons/{addonRef} (Japan Region) | ### Request headers For information about the headers common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service request headers](/docs/en/compute-vpckubernetesservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `uuid` | String | Required | Cluster UUID - See [Get cluster list](/docs/en/nks-getclusterlist). | | `addonRef` | String | Required | Add-on name or UUID of installed add-on - See [Get cluster add-on list](/docs/en/nks-getclusteraddonlist). | ### Request syntax The request syntax is as follows: ``` { "version": "string", "configurationValues": "string", "resolveConflicts": "string" } ``` ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `version` | String | Conditional | Add-on version to change - Required if `configurationValues` and `resolveConflicts` are not entered. - See `versions[]` of [Get add-on](/docs/en/nks-getaddonconfig). - If left blank, the current version is retained. | | `configurationValues` | String | Conditional | Helm values override values (JSON object string) - Required if `version` and `resolveConflicts` are not entered. - See `configurationSchema` of [Get add-on version](/docs/en/nks-getaddonconfigversion). - Maintain current value if not entered. - Reset to `{}` if an empty string (`""`) is entered. | | `resolveConflicts` | String | Conditional | How fields modified directly in the cluster are handled - Required if `version` and `configurationValues` are not entered. - `Overwrite` (default) \| `Preserve` - `Overwrite`: Overwrite with add-on configuration value. - `Preserve`: Retain the directly modified value. | ### Request example The request example is as follows: ``` curl --location --request PATCH 'https://nks.apigw.ntruss.com/vnks/v2/clusters/****a20e-e0fb-4dc9-af1b-97fd3f8d****/addons/nks-csi' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "version": "1.0.0" }' ``` ## Response This section describes the response format. ### Response syntax The response syntax is as follows: ``` { "uuid": "string", "clusterUuid": "string", "addonName": "string", "version": "string", "configurationValues": "string", "displayName": "string", "description": "string", "category": "string", "status": "string", "message": "string", "k8sVersion": "string", "latestVersion": "string", "createdAt": "string", "updatedAt": "string" } ``` ### Response body This returns information about the add-on for which a modification request was received. To verify whether the modification is complete, use [Get cluster add-on](/docs/en/nks-getclusteraddon). For descriptions of each field in the response body, see [Response body of Get cluster add-on](/docs/en/nks-getclusteraddon#%EC%9D%91%EB%8B%B5%EB%B0%94%EB%94%94). ### Response status codes For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service response status codes](/docs/en/compute-vpckubernetesservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "uuid": "****b3f1-2c4d-4a6e-9f80-1a2b3c4d****", "clusterUuid": "****a20e-e0fb-4dc9-af1b-97fd3f8d****", "addonName": "nks-csi", "version": "1.0.0", "configurationValues": "{}", "displayName": "NKS Block Storage CSI", "description": "NKS managed CSI driver for ncloud Block Storage. Provides dynamic volume provisioning, attachment, snapshot, and resize.", "category": "storage", "status": "update_in_progress", "message": "", "k8sVersion": "1.36.2-nks.1", "latestVersion": "", "createdAt": "2025-06-05T10:15:30.000Z", "updatedAt": "2025-06-10T09:02:44.000Z" } ```